자유게시판

996A77355D38A2C704


(이미지 출처 : 리브레오피스)



리브레오피스(LibreOffice)에서 3건의 보안 취약점이 발견되어 보안 패치가 나왔다는 소식입니다. 이번에 발견된 보안 취약점들은 CVE-2019-9847, CVE-2019-9848, CVE-2019-9849라는 이름이 붙어 있습니다.


먼저, CVE-2019-9847은 하이퍼링크를 활성화하면 무조건 실행되는 취약점이라고 합니다. 리브레오피스 6.1.5와 6.2.2 이하의 버전에서 존재하며, 윈도우와 맥OS에서만 문제가 됩니다. 따라서 리눅스에서는 영향을 주지 않습니다. 이 취약점은 리브레오피스 6.1.6과 6.2.3 버전에서 해결되었습니다.


그 다음으로 CVE-2019-9848과 CVE-2019-9849는 리브레오피스 6.2.4 이하의 버전에서 발생하며, 윈도우, 맥OS, 리눅스를 구분하지 않고 다 취약합니다. 임의의 스크립트 실행, 그리고 스텔스 모드의 결함과 관련된 취약점이며, 이 취약점은 리브레오피스 6.2.5 버전에서 해결되었습니다.


따라서 리브레오피스 공식 홈페이지에서 직접 리브레오피스를 다운로드하여 쓰는 사용자들은 적어도 리브레오피스 6.2.5 버전 이상으로 업데이트하기 바랍니다.


 * 리브레오피스 6.3.x (정식 버전 출시 전) : 2020년 5월 29일 지원 종료 (예정)

 * 리브레오피스 6.2.x : 2019년 11월 30일 지원 종료 (예정)

 * 리브레오피스 6.1.x : 2019년 5월 29일 지원 종료

 * 리브레오피스 6.0.x : 2018년 11월 26일 지원 종료

 * 리브레오피스 5.4.x : 2018년 6월 11일 지원 종료


※ 리브레오피스 6.2.4 이하의 버전은 모두 취약함 → 6.2.5 이상의 버전으로 업데이트!



한편, 리브레오피스를 직접 빌드하여 배포하는 우분투와 데비안에서도 각각 해당 취약점들을 해결하는 보안 패치를 발표하였습니다.


먼저, 우분투는 우분투 18.04 LTS에서 6.0.7-0ubuntu0.18.04.8 버전을 배포하였고, 우분투 16.04 LTS에서 5.1.6~rc2-0ubuntu1~xenial8 버전을 배포하여 보안 패치를 끝냈습니다. 그러나 우분투 14.04 LTS는 이미 지원 종료되었기 때문에 아무런 보안 패치를 받지 못합니다.


그리고 데비안은 데비안 10 Buster에서 6.1.5-3+deb10u2 버전을, 데비안 9 Stretch에서 5.2.7-1+deb9u9 버전을 배포하여 역시 보안 패치를 끝냈습니다. 다만, 데비안 8 Jessie에서는 아직 취약점이 해결되지 않았으며, Testing 단계에 있는 Bullseye에서도 보안 패치가 없어 취약점이 그대로 남아 있습니다.


따라서 우분투와 데비안, 그리고 그에 기반하는 여러 종류의 리눅스 배포판(리눅스민트, 하모니카 등) 사용자들도 우분투와 데비안에서 제공하는 보안 패치를 서둘러 하여, 임의라고 쓰지만 실제로는 악성이라 읽어야 할 스크립트 공격으로부터 안전해지기 바랍니다.


 * 리브레오피스 6.0.x for 우분투 18.04 LTS : 2023년 4월 중 지원 종료 (예정)

 * 리브레오피스 5.1.x for 우분투 16.04 LTS : 2021년 4월 중 지원 종료 (예정)

 * 리브레오피스 4.2.x for 우분투 14.04 LTS : 2019년 4월 30일 지원 종료


 * 리브레오피스 6.1.x for 데비안 10 Buster : 2024년 중 지원 종료 (예정)

 * 리브레오피스 5.2.x for 데비안 9 Stetch : 2022년 6월 중 지원 종료 (예정)

 * 리브레오피스 4.3.x for 데비안 8 Jessie : 2020년 6월 30일 지원 종료 (예정)

 * 리브레오피스 3.5.x for 데비안 7 Wheezy : 2018년 5월 31일 지원 종료


※ 우분투와 데비안에서 직접 빌드하여 배포하는 보안 패치가 이미 나와 있으니 그걸 하면 됩니다!



<참고>

https://www.libreoffice.org/about-us/security/advisories/cve-2019-9847/

https://www.libreoffice.org/about-us/security/advisories/cve-2019-9848/

https://www.libreoffice.org/about-us/security/advisories/cve-2019-9849/

https://wiki.documentfoundation.org/ReleasePlan

https://launchpad.net/ubuntu/+source/libreoffice

https://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-9847.html

https://tracker.debian.org/pkg/libreoffice

https://tracker.debian.org/media/packages/libr/libreoffice/changelog-15.2.7-1deb9u9

https://tracker.debian.org/media/packages/libr/libreoffice/changelog-16.1.5-3deb10u2

https://security-tracker.debian.org/tracker/CVE-2019-9847



출처: https://la-nube.tistory.com/678 [la Nube | 라 누베]
번호 제목 추천 수 글쓴이 날짜 조회 수
425 삼성 DM Z48E303 PC에 하모니카 리눅스 설치 문제 [2] 0 번동박 2019.10.18 552
424 귀여운 커서 [2] file 0 Ooooh-Soorry 2019.10.18 599
423 os 관련 문의 [1] 0 손주원 2019.10.17 667
422 우분투 20.04 LTS 출시 전에 하는 스크린샷 투어 [2] 0 la_Nube(누베) 2020.04.16 1457
421 os 관련 문의 [1] 0 손주원 2019.10.17 295
420 os 관련 문의 [1] 0 손주원 2019.10.17 298
419 os 관련 문의 [1] 0 손주원 2019.10.16 339
418 Linux Tux Phone Wallpaper 0 SaintTail 2020.04.14 156
417 리눅스에서 프로그래밍 만들고 돌릴정도면 [1] 0 수동동 2019.10.15 627
416 잡답] kdenlive 가 19.08.2 로 업이 되었네요. [5] 0 스피더 2019.10.12 541
415 os 관련 문의 [1] 0 손주원 2019.10.11 326
414 최신 우분투에 ga 커널을 깔아 써도 되나요? [1] 0 Ooooh-Soorry 2019.09.01 296
413 마소, 리눅스에 exfat 공식지원 [2] 0 Ooooh-Soorry 2019.09.01 543
412 핸드폰으로 이런저런 게임을 좀 했는데... [1] 0 따스한커피 2019.08.31 333
411 잡담] 오픈소스를 사용한 저의 경험담 [7] 0 스피더 2019.09.06 761
410 질문] FUSE 설치관련. [3] file 0 스피더 2019.09.06 342
409 시스템 백업 프로그램 ! cli sw 0 Ooooh-Soorry 2019.08.25 282
408 AppImage UX [4] 0 Ooooh-Soorry 2019.08.25 560
407 티맥스OS를 사용해본 후기 [2] 0 민트초코너무좋아 2019.08.23 1615
406 리눅스 특성상 어쩔 수 없겠죠 [4] 0 민트초코너무좋아 2019.08.23 757
  • 하모니카 미디어 에디션
  • 설치가 필요없는 화상통화 하모니
loginbox
아직 회원이 아니세요? 회원가입